org.apache.xmpbox

## Class DateConverter

- java.lang.Object
- - org.apache.xmpbox.DateConverter

    public final class DateConverter
    extends Object

This class is used to convert dates to strings and back using the PDF date standards. Date are described in PDFReference1.4 section 3.8.2

This is (and will not be) a Java date parsing library and will likely still have limited support for various strings as it’s main use case it to parse from PDF date strings.

Author:
  Ben Litchfield, Christopher Oezbek

### Method Summary

All Methods Static Methods Concrete Methods
`static Calendar` `toCalendar(String date)` This will convert a string to a calendar.
`static String` `toISO8601(Calendar cal)` Convert the date to iso 8601 string format.
`static String` `toISO8601(Calendar cal, boolean printMillis)` Convert the date to iso 8601 string format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toCalendar

    public static Calendar toCalendar(String date)
                               throws IOException

This will convert a string to a calendar.

Parameters:
  `date` - The string representation of the calendar.
Returns:
  The calendar that this string represents.
Throws:
  `IOException` - If the date string is not in the correct format.

#### toISO8601

    public static String toISO8601(Calendar cal)

Convert the date to iso 8601 string format.

Parameters:
  `cal` - The date to convert.
Returns:
  The date represented as an ISO 8601 string.

#### toISO8601

    public static String toISO8601(Calendar cal,
                                   boolean printMillis)

Convert the date to iso 8601 string format.

Parameters:
  `cal` - The date to convert.
  `printMillis` - Print Milliseconds.
Returns:
  The date represented as an ISO 8601 string.